//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Entity {
/// <summary>
/// Checks whether an entity exists in the game world.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7239B21A38F536BA<br />
/// </para>
/// </remarks>
public static bool DoesEntityExist(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x7239B21A38F536BAuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDDE6DF5AE89981D2<br />
/// </para>
/// </remarks>
public static bool DoesEntityBelongToThisScript(int /* Entity */ entity, bool p1){
return Function.Call<bool>((Hash)0xDDE6DF5AE89981D2uL, entity, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x060D6E96F8B8E48D<br />
/// </para>
/// </remarks>
public static bool DoesEntityHaveDrawable(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x060D6E96F8B8E48DuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDA95EA3317CC5064<br />
/// </para>
/// </remarks>
public static bool DoesEntityHavePhysics(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xDA95EA3317CC5064uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 2699<br />
/// <b>Native ID:</b> 0x764EB96874EFFDC1<br />
/// </para>
/// </remarks>
public static bool DoesEntityHaveSkeleton(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x764EB96874EFFDC1uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 2699<br />
/// <b>Native ID:</b> 0x2158E81A6AF65EA9<br />
/// </para>
/// </remarks>
public static bool DoesEntityHaveAnimDirector(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x2158E81A6AF65EA9uL, entity);
}

/// <summary>
/// P3 is always 3 as far as i cant tell<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20B711662962B472<br />
/// </para>
/// </remarks>
public static bool HasEntityAnimFinished(int /* Entity */ entity, string animDict, string animName, int p3){
return Function.Call<bool>((Hash)0x20B711662962B472uL, entity, animDict, animName, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95EB9964FF5C5C65<br />
/// </para>
/// </remarks>
public static bool HasEntityBeenDamagedByAnyObject(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x95EB9964FF5C5C65uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x605F5A140F202491<br />
/// </para>
/// </remarks>
public static bool HasEntityBeenDamagedByAnyPed(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x605F5A140F202491uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDFD5033FDBA0A9C8<br />
/// </para>
/// </remarks>
public static bool HasEntityBeenDamagedByAnyVehicle(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xDFD5033FDBA0A9C8uL, entity);
}

/// <summary>
/// Entity 1 = Victim<br />Entity 2 = Attacker<br /><br />p2 seems to always be 1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC86D67D52A707CF8<br />
/// </para>
/// </remarks>
public static bool HasEntityBeenDamagedByEntity(int /* Entity */ entity1, int /* Entity */ entity2, bool p2){
return Function.Call<bool>((Hash)0xC86D67D52A707CF8uL, entity1, entity2, p2);
}

/// <summary>
/// traceType is always 17 in the scripts.<br /><br />There is other codes used for traceType:<br />19 - in jewelry_prep1a<br />126 - in am_hunt_the_beast<br />256 &amp; 287 - in fm_mission_controller
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFCDFF7B72D23A1AC<br />
/// </para>
/// </remarks>
public static bool HasEntityClearLosToEntity(int /* Entity */ entity1, int /* Entity */ entity2, int traceType){
return Function.Call<bool>((Hash)0xFCDFF7B72D23A1ACuL, entity1, entity2, traceType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1868<br />
/// <b>Native ID:</b> 0x394BDE2A7BBA031E<br />
/// </para>
/// </remarks>
public static bool HasEntityClearLosToEntityAdjustForCover(int /* Entity */ entity1, int /* Entity */ entity2, int traceType){
return Function.Call<bool>((Hash)0x394BDE2A7BBA031EuL, entity1, entity2, traceType);
}

/// <summary>
/// Has the entity1 got a clear line of sight to the other entity2 from the direction entity1 is facing.<br />This is one of the most CPU demanding BOOL natives in the game; avoid calling this in things like nested for-loops
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0267D00AF114F17A<br />
/// </para>
/// </remarks>
public static bool HasEntityClearLosToEntityInFront(int /* Entity */ entity1, int /* Entity */ entity2){
return Function.Call<bool>((Hash)0x0267D00AF114F17AuL, entity1, entity2);
}

/// <summary>
/// Called on tick.<br />Tested with vehicles, returns true whenever the vehicle is touching any entity.<br /><br />Note: for vehicles, the wheels can touch the ground and it will still return false, but if the body of the vehicle touches the ground, it will return true.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8BAD02F0368D9E14<br />
/// </para>
/// </remarks>
public static bool HasEntityCollidedWithAnything(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x8BAD02F0368D9E14uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 2802<br />
/// <b>Native ID:</b> 0xA75EE4F689B85391<br />
/// </para>
/// </remarks>
public static int GetLastEntityHitByEntity(int /* Entity */ entity){
return Function.Call<int>((Hash)0xA75EE4F689B85391uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5C3D0A935F535C4C<br />
/// </para>
/// </remarks>
public static uint GetLastMaterialHitByEntity(int /* Entity */ entity){
return Function.Call<uint>((Hash)0x5C3D0A935F535C4CuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE465D4AB7CA6AE72<br />
/// </para>
/// </remarks>
public static Vector3 GetCollisionNormalOfLastHitForEntity(int /* Entity */ entity){
return Function.Call<Vector3>((Hash)0xE465D4AB7CA6AE72uL, entity);
}

/// <summary>
/// Based on carmod_shop script decompile this takes a vehicle parameter. It is called when repair is done on initial enter.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x40FDEDB72F8293B2<br />
/// </para>
/// </remarks>
public static void ForceEntityAiAndAnimationUpdate(int /* Entity */ entity){
Function.Call((Hash)0x40FDEDB72F8293B2uL, entity);
}

/// <summary>
/// Returns a float value representing animation&apos;s current playtime with respect to its total playtime. This value increasing in a range from [0 to 1] and wrap back to 0 when it reach 1.<br /><br />Example:<br />0.000000 - mark the starting of animation.<br />0.500000 - mark the midpoint of the animation.<br />1.000000 - mark the end of animation.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x346D81500D088F42<br />
/// </para>
/// </remarks>
public static float GetEntityAnimCurrentTime(int /* Entity */ entity, string animDict, string animName){
return Function.Call<float>((Hash)0x346D81500D088F42uL, entity, animDict, animName);
}

/// <summary>
/// Returns a float value representing animation&apos;s total playtime in milliseconds.<br /><br />Example:<br />GET_ENTITY_ANIM_TOTAL_TIME(PLAYER_ID(),&quot;amb@world_human_yoga@female@base&quot;,&quot;base_b&quot;) <br />return 20800.000000<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50BD2730B191E360<br />
/// </para>
/// </remarks>
public static float GetEntityAnimTotalTime(int /* Entity */ entity, string animDict, string animName){
return Function.Call<float>((Hash)0x50BD2730B191E360uL, entity, animDict, animName);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFEDDF04D62B8D790<br />
/// </para>
/// </remarks>
public static float GetAnimDuration(string animDict, string animName){
return Function.Call<float>((Hash)0xFEDDF04D62B8D790uL, animDict, animName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x48C2BED9180FE123<br />
/// </para>
/// </remarks>
public static int GetEntityAttachedTo(int /* Entity */ entity){
return Function.Call<int>((Hash)0x48C2BED9180FE123uL, entity);
}

/// <summary>
/// Gets the current coordinates for a specified entity.<br />`entity` = The entity to get the coordinates from.<br />`alive` = Unused by the game, potentially used by debug builds of GTA in order to assert whether or not an entity was alive.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3FEF770D40960D5A<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityCoords(int /* Entity */ entity, bool alive){
return Function.Call<Vector3>((Hash)0x3FEF770D40960D5AuL, entity, alive);
}

/// <summary>
/// Gets the entity&apos;s forward vector.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A794A5A57F8DF91<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityForwardVector(int /* Entity */ entity){
return Function.Call<Vector3>((Hash)0x0A794A5A57F8DF91uL, entity);
}

/// <summary>
/// Gets the X-component of the entity&apos;s forward vector.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8BB4EF4214E0E6D5<br />
/// </para>
/// </remarks>
public static float GetEntityForwardX(int /* Entity */ entity){
return Function.Call<float>((Hash)0x8BB4EF4214E0E6D5uL, entity);
}

/// <summary>
/// Gets the Y-component of the entity&apos;s forward vector.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x866A4A5FAE349510<br />
/// </para>
/// </remarks>
public static float GetEntityForwardY(int /* Entity */ entity){
return Function.Call<float>((Hash)0x866A4A5FAE349510uL, entity);
}

/// <summary>
/// Returns the heading of the entity in degrees. Also know as the &quot;Yaw&quot; of an entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE83D4F9BA2A38914<br />
/// </para>
/// </remarks>
public static float GetEntityHeading(int /* Entity */ entity){
return Function.Call<float>((Hash)0xE83D4F9BA2A38914uL, entity);
}

/// <summary>
/// Gets the heading of the entity physics in degrees, which tends to be more accurate than just &quot;GET_ENTITY_HEADING&quot;. This can be clearly seen while, for example, ragdolling a ped/player.<br /><br />NOTE: The name and description of this native are based on independent research. If you find this native to be more suitable under a different name and/or described differently, please feel free to do so.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x846BF6291198A71E<br />
/// </para>
/// </remarks>
public static float GetEntityHeadingFromEulers(int /* Entity */ entity){
return Function.Call<float>((Hash)0x846BF6291198A71EuL, entity);
}

/// <summary>
/// Returns an integer value of entity&apos;s current health.<br /><br />Example of range for ped:<br />- Player [0 to 200]<br />- Ped [100 to 200]<br />- Vehicle [0 to 1000]<br />- Object [0 to 1000]<br /><br />Health is actually a float value but this native casts it to int.<br />In order to get the actual value, do:<br />float health = *(float *)(entityAddress + 0x280);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEEF059FAD016D209<br />
/// </para>
/// </remarks>
public static int GetEntityHealth(int /* Entity */ entity){
return Function.Call<int>((Hash)0xEEF059FAD016D209uL, entity);
}

/// <summary>
/// Return an integer value of entity&apos;s maximum health.<br /><br />Example:<br />- Player = 200<br />- Ped = 150
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x15D757606D170C3C<br />
/// </para>
/// </remarks>
public static int GetEntityMaxHealth(int /* Entity */ entity){
return Function.Call<int>((Hash)0x15D757606D170C3CuL, entity);
}

/// <summary>
/// For instance: ENTITY::SET_ENTITY_MAX_HEALTH(PLAYER::PLAYER_PED_ID(), 200); // director_mode.c4: 67849
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x166E7CF68597D8B5<br />
/// </para>
/// </remarks>
public static void SetEntityMaxHealth(int /* Entity */ entity, int value){
Function.Call((Hash)0x166E7CF68597D8B5uL, entity, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5A504562485944DD<br />
/// </para>
/// </remarks>
public static float GetEntityHeight(int /* Entity */ entity, float X, float Y, float Z, bool atTop, bool inWorldCoords){
return Function.Call<float>((Hash)0x5A504562485944DDuL, entity, X, Y, Z, atTop, inWorldCoords);
}

/// <summary>
/// Return height (z-dimension) above ground. <br />Example: The pilot in a titan plane is 1.844176 above ground.<br /><br />How can i convert it to meters?<br />Everything seems to be in meters, probably this too.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1DD55701034110E5<br />
/// </para>
/// </remarks>
public static float GetEntityHeightAboveGround(int /* Entity */ entity){
return Function.Call<float>((Hash)0x1DD55701034110E5uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xECB2FC7235A7D137<br />
/// </para>
/// </remarks>
public static void GetEntityMatrix(int /* Entity */ entity, ref Vector3 forwardVector, ref Vector3 rightVector, ref Vector3 upVector, ref Vector3 position){
var nativeAssistPointerVar0 = forwardVector;
var nativeAssistPointerVar1 = rightVector;
var nativeAssistPointerVar2 = upVector;
var nativeAssistPointerVar3 = position;
unsafe {
Function.Call((Hash)0xECB2FC7235A7D137uL, entity, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3);
}
forwardVector = nativeAssistPointerVar0;
rightVector = nativeAssistPointerVar1;
upVector = nativeAssistPointerVar2;
position = nativeAssistPointerVar3;
}

/// <summary>
/// Returns the model hash from the entity
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9F47B058362C84B5<br />
/// </para>
/// </remarks>
public static uint GetEntityModel(int /* Entity */ entity){
return Function.Call<uint>((Hash)0x9F47B058362C84B5uL, entity);
}

/// <summary>
/// Converts world coords (posX - Z) to coords relative to the entity<br /><br />Example:<br />posX is given as 50<br />entity&apos;s x coord is 40<br />the returned x coord will then be 10 or -10, not sure haven&apos;t used this in a while (think it is 10 though).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2274BC1C4885E333<br />
/// </para>
/// </remarks>
public static Vector3 GetOffsetFromEntityGivenWorldCoords(int /* Entity */ entity, float posX, float posY, float posZ){
return Function.Call<Vector3>((Hash)0x2274BC1C4885E333uL, entity, posX, posY, posZ);
}

/// <summary>
/// Offset values are relative to the entity.<br /><br />x = left/right<br />y = forward/backward<br />z = up/down
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1899F328B0E12848<br />
/// </para>
/// </remarks>
public static Vector3 GetOffsetFromEntityInWorldCoords(int /* Entity */ entity, float offsetX, float offsetY, float offsetZ){
return Function.Call<Vector3>((Hash)0x1899F328B0E12848uL, entity, offsetX, offsetY, offsetZ);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD45DC2893621E1FE<br />
/// </para>
/// </remarks>
public static float GetEntityPitch(int /* Entity */ entity){
return Function.Call<float>((Hash)0xD45DC2893621E1FEuL, entity);
}

/// <summary>
/// w is the correct parameter name!
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7B3703D2D32DFA18<br />
/// </para>
/// </remarks>
public static void GetEntityQuaternion(int /* Entity */ entity, ref float x, ref float y, ref float z, ref float w){
var nativeAssistPointerVar0 = x;
var nativeAssistPointerVar1 = y;
var nativeAssistPointerVar2 = z;
var nativeAssistPointerVar3 = w;
unsafe {
Function.Call((Hash)0x7B3703D2D32DFA18uL, entity, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3);
}
x = nativeAssistPointerVar0;
y = nativeAssistPointerVar1;
z = nativeAssistPointerVar2;
w = nativeAssistPointerVar3;
}

/// <summary>
/// Displays the current ROLL axis of the entity [-180.0000/180.0000+]<br />(Sideways Roll) such as a vehicle tipped on its side
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x831E0242595560DF<br />
/// </para>
/// </remarks>
public static float GetEntityRoll(int /* Entity */ entity){
return Function.Call<float>((Hash)0x831E0242595560DFuL, entity);
}

/// <summary>
/// rotationOrder is the order yaw, pitch and roll is applied. Usually 2. Returns a vector where the Z coordinate is the yaw.<br /><br />rotationOrder refers to the order yaw pitch roll is applied; value ranges from 0 to 5 and is usually *2* in scripts.<br />What you use for rotationOrder when getting must be the same as rotationOrder when setting the rotation.<br /><br />What it returns is the yaw on the z part of the vector, which makes sense considering R* considers z as vertical. Here&apos;s a picture for those of you who don&apos;t understand pitch, yaw, and roll: www.allstar.fiu.edu/aero/images/pic5-1.gif<br /><br />Rotation Orders:<br />0: ZYX - Rotate around the z-axis, then the y-axis and finally the x-axis.<br />1: YZX - Rotate around the y-axis, then the z-axis and finally the x-axis.<br />2: ZXY - Rotate around the z-axis, then the x-axis and finally the y-axis.<br />3: XZY - Rotate around the x-axis, then the z-axis and finally the y-axis.<br />4: YXZ - Rotate around the y-axis, then the x-axis and finally the z-axis.<br />5: XYZ - Rotate around the x-axis, then the y-axis and finally the z-axis.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAFBD61CC738D9EB9<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityRotation(int /* Entity */ entity, int rotationOrder){
return Function.Call<Vector3>((Hash)0xAFBD61CC738D9EB9uL, entity, rotationOrder);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x213B91045D09B983<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityRotationVelocity(int /* Entity */ entity){
return Function.Call<Vector3>((Hash)0x213B91045D09B983uL, entity);
}

/// <summary>
/// Returns the name of the script that owns/created the entity or nullptr. Second parameter is unused, can just be a nullptr.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA6E9C38DB51D7748<br />
/// </para>
/// </remarks>
public static string GetEntityScript(int /* Entity */ entity, ref int /* ScrHandle* */ script){
var nativeAssistPointerVar0 = script;
string retVal;
unsafe {
retVal = Function.Call<string>((Hash)0xA6E9C38DB51D7748uL, entity, &nativeAssistPointerVar0);
}
script = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// result is in meters per second<br /><br />------------------------------------------------------------<br />So would the conversion to mph and km/h, be along the lines of this.<br /><br />float speed = GET_ENTITY_SPEED(veh);<br />float kmh = (speed * 3.6);<br />float mph = (speed * 2.236936);<br />------------------------------------------------------------
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD5037BA82E12416F<br />
/// </para>
/// </remarks>
public static float GetEntitySpeed(int /* Entity */ entity){
return Function.Call<float>((Hash)0xD5037BA82E12416FuL, entity);
}

/// <summary>
/// Relative can be used for getting speed relative to the frame of the vehicle, to determine for example, if you are going in reverse (-y speed) or not (+y speed). 
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9A8D700A51CB7B0D<br />
/// </para>
/// </remarks>
public static Vector3 GetEntitySpeedVector(int /* Entity */ entity, bool relative){
return Function.Call<Vector3>((Hash)0x9A8D700A51CB7B0DuL, entity, relative);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95EED5A694951F9F<br />
/// </para>
/// </remarks>
public static float GetEntityUprightValue(int /* Entity */ entity){
return Function.Call<float>((Hash)0x95EED5A694951F9FuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4805D2B1D8CF94A9<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityVelocity(int /* Entity */ entity){
return Function.Call<Vector3>((Hash)0x4805D2B1D8CF94A9uL, entity);
}

/// <summary>
/// Simply returns whatever is passed to it (Regardless of whether the handle is valid or not).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD7E3B9735C0F89D6<br />
/// </para>
/// </remarks>
public static int GetObjectIndexFromEntityIndex(int /* Entity */ entity){
return Function.Call<int>((Hash)0xD7E3B9735C0F89D6uL, entity);
}

/// <summary>
/// Simply returns whatever is passed to it (Regardless of whether the handle is valid or not).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x04A2A40C73395041<br />
/// </para>
/// </remarks>
public static int GetPedIndexFromEntityIndex(int /* Entity */ entity){
return Function.Call<int>((Hash)0x04A2A40C73395041uL, entity);
}

/// <summary>
/// Simply returns whatever is passed to it (Regardless of whether the handle is valid or not).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4B53F92932ADFAC0<br />
/// </para>
/// </remarks>
public static int GetVehicleIndexFromEntityIndex(int /* Entity */ entity){
return Function.Call<int>((Hash)0x4B53F92932ADFAC0uL, entity);
}

/// <summary>
/// Returns the coordinates of an entity-bone.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x44A8FCB8ED227738<br />
/// </para>
/// </remarks>
public static Vector3 GetWorldPositionOfEntityBone(int /* Entity */ entity, int boneIndex){
return Function.Call<Vector3>((Hash)0x44A8FCB8ED227738uL, entity, boneIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7196842CB375CDB3<br />
/// </para>
/// </remarks>
public static int GetNearestPlayerToEntity(int /* Entity */ entity){
return Function.Call<int>((Hash)0x7196842CB375CDB3uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4DC9A62F844D9337<br />
/// </para>
/// </remarks>
public static int GetNearestPlayerToEntityOnTeam(int /* Entity */ entity, int team){
return Function.Call<int>((Hash)0x4DC9A62F844D9337uL, entity, team);
}

/// <summary>
/// Returns:<br />0 = no entity<br />1 = ped<br />2 = vehicle<br />3 = object
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8ACD366038D14505<br />
/// </para>
/// </remarks>
public static int GetEntityType(int /* Entity */ entity){
return Function.Call<int>((Hash)0x8ACD366038D14505uL, entity);
}

/// <summary>
/// A population type, from the following enum: https://alloc8or.re/gta5/doc/enums/ePopulationType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF6F5161F4534EDFF<br />
/// </para>
/// </remarks>
public static int GetEntityPopulationType(int /* Entity */ entity){
return Function.Call<int>((Hash)0xF6F5161F4534EDFFuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x731EC8A916BD11A1<br />
/// </para>
/// </remarks>
public static bool IsAnEntity(int /* ScrHandle */ handle){
return Function.Call<bool>((Hash)0x731EC8A916BD11A1uL, handle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x524AC5ECEA15343E<br />
/// </para>
/// </remarks>
public static bool IsEntityAPed(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x524AC5ECEA15343EuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A7B270912999B3C<br />
/// </para>
/// </remarks>
public static bool IsEntityAMissionEntity(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x0A7B270912999B3CuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6AC7003FA6E5575E<br />
/// </para>
/// </remarks>
public static bool IsEntityAVehicle(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x6AC7003FA6E5575EuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8D68C8FD0FACA94E<br />
/// </para>
/// </remarks>
public static bool IsEntityAnObject(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x8D68C8FD0FACA94EuL, entity);
}

/// <summary>
/// Checks if entity is within x/y/zSize distance of x/y/z. <br /><br />Last three are unknown ints, almost always p7 = 0, p8 = 1, p9 = 0
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20B60995556D004F<br />
/// </para>
/// </remarks>
public static bool IsEntityAtCoord(int /* Entity */ entity, float xPos, float yPos, float zPos, float xSize, float ySize, float zSize, bool p7, bool p8, int p9){
return Function.Call<bool>((Hash)0x20B60995556D004FuL, entity, xPos, yPos, zPos, xSize, ySize, zSize, p7, p8, p9);
}

/// <summary>
/// Checks if entity1 is within the box defined by x/y/zSize of entity2.<br /><br />Last three parameters are almost alwasy p5 = 0, p6 = 1, p7 = 0
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x751B70C3D034E187<br />
/// </para>
/// </remarks>
public static bool IsEntityAtEntity(int /* Entity */ entity1, int /* Entity */ entity2, float xSize, float ySize, float zSize, bool p5, bool p6, int p7){
return Function.Call<bool>((Hash)0x751B70C3D034E187uL, entity1, entity2, xSize, ySize, zSize, p5, p6, p7);
}

/// <summary>
/// Whether the entity is attached to any other entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB346476EF1A64897<br />
/// </para>
/// </remarks>
public static bool IsEntityAttached(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xB346476EF1A64897uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCF511840CEEDE0CC<br />
/// </para>
/// </remarks>
public static bool IsEntityAttachedToAnyObject(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xCF511840CEEDE0CCuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB1632E9A5F988D11<br />
/// </para>
/// </remarks>
public static bool IsEntityAttachedToAnyPed(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xB1632E9A5F988D11uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x26AA915AD89BFB4B<br />
/// </para>
/// </remarks>
public static bool IsEntityAttachedToAnyVehicle(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x26AA915AD89BFB4BuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEFBE71898A993728<br />
/// </para>
/// </remarks>
public static bool IsEntityAttachedToEntity(int /* Entity */ from, int /* Entity */ to){
return Function.Call<bool>((Hash)0xEFBE71898A993728uL, from, to);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F9532F3B5CC2551<br />
/// </para>
/// </remarks>
public static bool IsEntityDead(int /* Entity */ entity, bool p1){
return Function.Call<bool>((Hash)0x5F9532F3B5CC2551uL, entity, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x886E37EC497200B6<br />
/// </para>
/// </remarks>
public static bool IsEntityInAir(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x886E37EC497200B6uL, entity);
}

/// <summary>
/// `p8` is a debug flag invoking functions in the same path as ``DRAW_MARKER``<br />`p10` is some entity flag check, also used in `IS_ENTITY_AT_ENTITY`, `IS_ENTITY_IN_AREA`, and `IS_ENTITY_AT_COORD`.<br />See IS_POINT_IN_ANGLED_AREA for the definition of an angled area.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x51210CED3DA1C78A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool IsEntityInAngledArea(int /* Entity */ entity, float x1, float y1, float z1, float x2, float y2, float z2, float width, bool debug, bool includeZ, int /* bug: Any */ p10){
return Function.Call<bool>((Hash)0x51210CED3DA1C78AuL, entity, x1, y1, z1, x2, y2, z2, width, debug, includeZ, p10);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x54736AA40E271165<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool IsEntityInArea(int /* Entity */ entity, float x1, float y1, float z1, float x2, float y2, float z2, bool p7, bool p8, int /* bug: Any */ p9){
return Function.Call<bool>((Hash)0x54736AA40E271165uL, entity, x1, y1, z1, x2, y2, z2, p7, p8, p9);
}

/// <summary>
/// Full list of zones by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/zones.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB6463CF6AF527071<br />
/// </para>
/// </remarks>
public static bool IsEntityInZone(int /* Entity */ entity, string zone){
return Function.Call<bool>((Hash)0xB6463CF6AF527071uL, entity, zone);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCFB0A0D8EDD145A3<br />
/// </para>
/// </remarks>
public static bool IsEntityInWater(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xCFB0A0D8EDD145A3uL, entity);
}

/// <summary>
/// Get how much of the entity is submerged.  1.0f is whole entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE81AFC1BC4CC41CE<br />
/// </para>
/// </remarks>
public static float GetEntitySubmergedLevel(int /* Entity */ entity){
return Function.Call<float>((Hash)0xE81AFC1BC4CC41CEuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x694E00132F2823ED<br />
/// </para>
/// </remarks>
public static void SetEntityRequiresMoreExpensiveRiverCheck(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x694E00132F2823EDuL, entity, toggle);
}

/// <summary>
/// Returns true if the entity is in between the minimum and maximum values for the 2d screen coords. <br />This means that it will return true even if the entity is behind a wall for example, as long as you&apos;re looking at their location. <br />Chipping
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE659E47AF827484B<br />
/// </para>
/// </remarks>
public static bool IsEntityOnScreen(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xE659E47AF827484BuL, entity);
}

/// <summary>
/// See also PED::IS_SCRIPTED_SCENARIO_PED_USING_CONDITIONAL_ANIM 0x6EC47A344923E1ED 0x3C30B447<br /><br />Taken from ENTITY::IS_ENTITY_PLAYING_ANIM(PLAYER::PLAYER_PED_ID(), &quot;creatures@shark@move&quot;, &quot;attack_player&quot;, 3)<br /><br />p4 is always 3 in the scripts.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1F0B79228E461EC9<br />
/// </para>
/// </remarks>
public static bool IsEntityPlayingAnim(int /* Entity */ entity, string animDict, string animName, int taskFlag){
return Function.Call<bool>((Hash)0x1F0B79228E461EC9uL, entity, animDict, animName, taskFlag);
}

/// <summary>
/// a static ped will not react to natives like &quot;APPLY_FORCE_TO_ENTITY&quot; or &quot;SET_ENTITY_VELOCITY&quot; and oftentimes will not react to task-natives like &quot;TASK::TASK_COMBAT_PED&quot;. The only way I know of to make one of these peds react is to ragdoll them (or sometimes to use CLEAR_PED_TASKS_IMMEDIATELY(). Static peds include almost all far-away peds, beach-combers, peds in certain scenarios, peds crossing a crosswalk, peds walking to get back into their cars, and others. If anyone knows how to make a ped non-static without ragdolling them, please edit this with the solution.<br /><br />how can I make an entity static???
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1218E6886D3D8327<br />
/// </para>
/// </remarks>
public static bool IsEntityStatic(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x1218E6886D3D8327uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x17FFC1B2BA35A494<br />
/// </para>
/// </remarks>
public static bool IsEntityTouchingEntity(int /* Entity */ entity, int /* Entity */ targetEntity){
return Function.Call<bool>((Hash)0x17FFC1B2BA35A494uL, entity, targetEntity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0F42323798A58C8C<br />
/// </para>
/// </remarks>
public static bool IsEntityTouchingModel(int /* Entity */ entity, uint modelHash){
return Function.Call<bool>((Hash)0x0F42323798A58C8CuL, entity, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5333F526F6AB19AA<br />
/// </para>
/// </remarks>
public static bool IsEntityUpright(int /* Entity */ entity, float angle){
return Function.Call<bool>((Hash)0x5333F526F6AB19AAuL, entity, angle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1DBD58820FA61D71<br />
/// </para>
/// </remarks>
public static bool IsEntityUpsidedown(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x1DBD58820FA61D71uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x47D6F43D77935C75<br />
/// </para>
/// </remarks>
public static bool IsEntityVisible(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x47D6F43D77935C75uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD796CB5BA8F20E32<br />
/// </para>
/// </remarks>
public static bool IsEntityVisibleToScript(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xD796CB5BA8F20E32uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE31C2C72B8692B64<br />
/// </para>
/// </remarks>
public static bool IsEntityOccluded(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xE31C2C72B8692B64uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEE5D2A122E09EC42<br />
/// </para>
/// </remarks>
public static bool WouldEntityBeOccluded(uint entityModelHash, float x, float y, float z, bool p4){
return Function.Call<bool>((Hash)0xEE5D2A122E09EC42uL, entityModelHash, x, y, z, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD05BFF0C0A12C68F<br />
/// </para>
/// </remarks>
public static bool IsEntityWaitingForWorldCollision(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xD05BFF0C0A12C68FuL, entity);
}

/// <summary>
/// Applies a force to the specified entity.<br /><br />**List of force types (p1)**:<br />public enum ForceType<br />{<br />    MinForce = 0,<br />    MaxForceRot = 1,<br />    MinForce2 = 2,<br />    MaxForceRot2 = 3,<br />    ForceNoRot = 4,<br />    ForceRotPlusForce = 5<br />}<br />Research/documentation on the gtaforums can be found here https://gtaforums.com/topic/885669-precisely-define-object-physics/) and here https://gtaforums.com/topic/887362-apply-forces-and-momentums-to-entityobject/.<br /><br />p6/relative - makes the xyz force not relative to world coords, but to something else<br />p7/highForce - setting false will make the force really low
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x18FF00FC7EFF559E<br />
/// </para>
/// </remarks>
public static void ApplyForceToEntityCenterOfMass(int /* Entity */ entity, int forceType, float x, float y, float z, bool p5, bool isDirectionRel, bool isForceRel, bool p8){
Function.Call((Hash)0x18FF00FC7EFF559EuL, entity, forceType, x, y, z, p5, isDirectionRel, isForceRel, p8);
}

/// <summary>
/// Documented here:<br />gtaforums.com/topic/885669-precisely-define-object-physics/<br />gtaforums.com/topic/887362-apply-forces-and-momentums-to-entityobject/<br /><br />forceFlags:<br />First bit (lowest): Strong force flag, factor 100<br />Second bit: Unkown flag<br />Third bit: Momentum flag=1 (vector (x,y,z) is a momentum, more research needed)<br />If higher bits are unequal 0 the function doesn&apos;t applay any forces at all.<br />(As integer possible values are 0-7)<br /><br />0: weak force<br />1: strong force<br />2: same as 0 (2nd bit?)<br />3: same as 1<br />4: weak momentum<br />5: strong momentum<br />6: same as 4<br />7: same as 5<br /><br />isLocal: vector defined in local (body-fixed) coordinate frame<br />isMassRel: if true the force gets multiplied with the objects mass (this is why it was known as highForce) and different objects will have the same acceleration.<br /><br />p8 !!! Whenever I set this !=0, my script stopped.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC5F68BE9613E2D18<br />
/// </para>
/// </remarks>
public static void ApplyForceToEntity(int /* Entity */ entity, int forceFlags, float x, float y, float z, float offX, float offY, float offZ, int boneIndex, bool isDirectionRel, bool ignoreUpVec, bool isForceRel, bool p12, bool p13){
Function.Call((Hash)0xC5F68BE9613E2D18uL, entity, forceFlags, x, y, z, offX, offY, offZ, boneIndex, isDirectionRel, ignoreUpVec, isForceRel, p12, p13);
}

/// <summary>
/// Attaches entity1 to bone (boneIndex) of entity2.<br /><br />boneIndex - this is different to boneID, use GET_PED_BONE_INDEX to get the index from the ID. use the index for attaching to specific bones. entity1 will be attached to entity2&apos;s centre if bone index given doesn&apos;t correspond to bone indexes for that entity type.<br /><br />useSoftPinning - if set to false attached entity will not detach when fixed<br />collision - controls collision between the two entities (FALSE disables collision).<br />isPed - pitch doesnt work when false and roll will only work on negative numbers (only peds)<br />vertexIndex - position of vertex<br />fixedRot - if false it ignores entity vector <br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6B9BBD38AB0796DF<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void AttachEntityToEntity(int /* Entity */ entity1, int /* Entity */ entity2, int boneIndex, float xPos, float yPos, float zPos, float xRot, float yRot, float zRot, bool p9, bool useSoftPinning, bool collision, bool isPed, int vertexIndex, bool fixedRot, int /* bug: Any */ p15){
Function.Call((Hash)0x6B9BBD38AB0796DFuL, entity1, entity2, boneIndex, xPos, yPos, zPos, xRot, yRot, zRot, p9, useSoftPinning, collision, isPed, vertexIndex, fixedRot, p15);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0x5C48B75732C8456C<br />
/// </para>
/// </remarks>
public static void AttachEntityBoneToEntityBone(int /* Entity */ entity1, int /* Entity */ entity2, int boneIndex1, int boneIndex2, bool p4, bool p5){
Function.Call((Hash)0x5C48B75732C8456CuL, entity1, entity2, boneIndex1, boneIndex2, p4, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xFD1695C5D3B05439<br />
/// </para>
/// </remarks>
public static void AttachEntityBoneToEntityBoneYForward(int /* Entity */ entity1, int /* Entity */ entity2, int boneIndex1, int boneIndex2, bool p4, bool p5){
Function.Call((Hash)0xFD1695C5D3B05439uL, entity1, entity2, boneIndex1, boneIndex2, p4, p5);
}

/// <summary>
/// breakForce is the amount of force required to break the bond.<br />p14 - is always 1 in scripts<br />p15 - is 1 or 0 in scripts - unknoun what it does<br />p16 - controls collision between the two entities (FALSE disables collision).<br />p17 - do not teleport entity to be attached to the position of the bone Index of the target entity (if 1, entity will not be teleported to target bone)<br />p18 - is always 2 in scripts.<br /><br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC3675780C92F90F9<br />
/// </para>
/// </remarks>
public static void AttachEntityToEntityPhysically(int /* Entity */ entity1, int /* Entity */ entity2, int boneIndex1, int boneIndex2, float xPos1, float yPos1, float zPos1, float xPos2, float yPos2, float zPos2, float xRot, float yRot, float zRot, float breakForce, bool fixedRot, bool p15, bool collision, bool p17, int p18){
Function.Call((Hash)0xC3675780C92F90F9uL, entity1, entity2, boneIndex1, boneIndex2, xPos1, yPos1, zPos1, xPos2, yPos2, zPos2, xRot, yRot, zRot, breakForce, fixedRot, p15, collision, p17, p18);
}

/// <summary>
/// Called to update entity attachments.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF4080490ADC51C6F<br />
/// </para>
/// </remarks>
public static void ProcessEntityAttachments(int /* Entity */ entity){
Function.Call((Hash)0xF4080490ADC51C6FuL, entity);
}

/// <summary>
/// Returns the index of the bone. If the bone was not found, -1 will be returned. <br /><br />list:<br />https://pastebin.com/D7JMnX1g<br /><br />BoneNames:<br />  chassis,<br />  windscreen,<br />   seat_pside_r,<br /> seat_dside_r,<br /> bodyshell,<br />    suspension_lm,<br />    suspension_lr,<br />    platelight,<br />   attach_female,<br />    attach_male,<br />  bonnet,<br />   boot,<br /> chassis_dummy,  //Center of the dummy<br /> chassis_Control,    //Not found yet<br />   door_dside_f,   //Door left, front<br />    door_dside_r,   //Door left, back<br /> door_pside_f,   //Door right, front<br />   door_pside_r,   //Door right, back<br />    Gun_GripR,<br />    windscreen_f,<br /> platelight, //Position where the light above the numberplate is located<br />   VFX_Emitter,<br />  window_lf,  //Window left, front<br />  window_lr,  //Window left, back<br />   window_rf,  //Window right, front<br /> window_rr,  //Window right, back<br />  engine, //Position of the engine<br />  gun_ammo,<br /> ROPE_ATTATCH,   //Not misspelled. In script &quot;finale_heist2b.c4&quot;.<br />    wheel_lf,   //Wheel left, front<br />   wheel_lr,   //Wheel left, back<br />    wheel_rf,   //Wheel right, front<br />  wheel_rr,   //Wheel right, back<br />   exhaust,    //Exhaust. shows only the position of the stock-exhaust<br />   overheat,   //A position on the engine(not exactly sure, how to name it)<br />  misc_e, //Not a car-bone.<br /> seat_dside_f,   //Driver-seat<br /> seat_pside_f,   //Seat next to driver<br /> Gun_Nuzzle,<br />   seat_r<br /><br />I doubt that the function is case-sensitive, since I found a &quot;Chassis&quot; and a &quot;chassis&quot;. - Just tested: Definitely not case-sensitive.<br /><br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFB71170B7E76ACBA<br />
/// </para>
/// </remarks>
public static int GetEntityBoneIndexByName(int /* Entity */ entity, string boneName){
return Function.Call<int>((Hash)0xFB71170B7E76ACBAuL, entity, boneName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA72CD9CA74A5ECBA<br />
/// </para>
/// </remarks>
public static void ClearEntityLastDamageEntity(int /* Entity */ entity){
Function.Call((Hash)0xA72CD9CA74A5ECBAuL, entity);
}

/// <summary>
/// Deletes the specified entity, then sets the handle pointed to by the pointer to NULL.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAE3CBE5BF394C9C9<br />
/// </para>
/// </remarks>
public static void DeleteEntity(ref int /* Entity* */ entity){
var nativeAssistPointerVar0 = entity;
unsafe {
Function.Call((Hash)0xAE3CBE5BF394C9C9uL, &nativeAssistPointerVar0);
}
entity = nativeAssistPointerVar0;
}

/// <summary>
/// If `collision` is set to true, both entities won&apos;t collide with the other until the distance between them is above 4 meters.<br />Set `dynamic` to true to keep velocity after dettaching
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x961AC54BF0613F5D<br />
/// </para>
/// </remarks>
public static void DetachEntity(int /* Entity */ entity, bool dynamic, bool collision){
Function.Call((Hash)0x961AC54BF0613F5DuL, entity, dynamic, collision);
}

/// <summary>
/// Freezes or unfreezes an entity preventing its coordinates to change by the player if set to `true`. You can still change the entity position using SET_ENTITY_COORDS.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x428CA6DBD1094446<br />
/// </para>
/// </remarks>
public static void FreezeEntityPosition(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x428CA6DBD1094446uL, entity, toggle);
}

/// <summary>
/// True means it can be deleted by the engine when switching lobbies/missions/etc, false means the script is expected to clean it up.<br /><br />&quot;Allow Freeze If No Collision&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3910051CCECDB00C<br />
/// </para>
/// </remarks>
public static void SetEntityShouldFreezeWaitingOnCollision(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x3910051CCECDB00CuL, entity, toggle);
}

/// <summary>
/// delta and bitset are guessed fields. They are based on the fact that most of the calls have 0 or nil field types passed in.<br /><br />The only time bitset has a value is 0x4000 and the only time delta has a value is during stealth with usually &lt;1.0f values.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7FB218262B810701<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool PlayEntityAnim(int /* Entity */ entity, string animName, string animDict, float p3, bool loop, bool stayInAnim, bool p6, float delta, int /* bug: Any */ bitset){
return Function.Call<bool>((Hash)0x7FB218262B810701uL, entity, animName, animDict, p3, loop, stayInAnim, p6, delta, bitset);
}

/// <summary>
/// p4 and p7 are usually 1000.0f.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC77720A12FE14A86<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool PlaySynchronizedEntityAnim(int /* Entity */ entity, int syncedScene, string animation, string propName, float p4, float p5, int /* bug: Any */ p6, float p7){
return Function.Call<bool>((Hash)0xC77720A12FE14A86uL, entity, syncedScene, animation, propName, p4, p5, p6, p7);
}

/// <summary>
/// p6,p7 probably animname and animdict<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB9C54555ED30FBC4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool PlaySynchronizedMapEntityAnim(float x1, float y1, float z1, float x2, int /* bug: Any */ y2, float z2, string p6, string p7, float p8, float p9, int /* bug: Any */ p10, float p11){
return Function.Call<bool>((Hash)0xB9C54555ED30FBC4uL, x1, y1, z1, x2, y2, z2, p6, p7, p8, p9, p10, p11);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x11E79CAB7183B6F5<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool StopSynchronizedMapEntityAnim(float x1, float y1, float z1, float x2, int /* bug: Any */ y2, float z2){
return Function.Call<bool>((Hash)0x11E79CAB7183B6F5uL, x1, y1, z1, x2, y2, z2);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />RAGEPluginHook list: docs.ragepluginhook.net/html/62951c37-a440-478c-b389-c471230ddfc5.htm
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x28004F88151E03E0<br />
/// </para>
/// </remarks>
public static bool StopEntityAnim(int /* Entity */ entity, string animation, string animGroup, float p3){
return Function.Call<bool>((Hash)0x28004F88151E03E0uL, entity, animation, animGroup, p3);
}

/// <summary>
/// p1 sync task id?
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x43D3807C077261E3<br />
/// </para>
/// </remarks>
public static bool StopSynchronizedEntityAnim(int /* Entity */ entity, float p1, bool p2){
return Function.Call<bool>((Hash)0x43D3807C077261E3uL, entity, p1, p2);
}

/// <summary>
/// if (ENTITY::HAS_ANIM_EVENT_FIRED(PLAYER::PLAYER_PED_ID(), MISC::GET_HASH_KEY(&quot;CreateObject&quot;)))
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEAF4CD9EA3E7E922<br />
/// </para>
/// </remarks>
public static bool HasAnimEventFired(int /* Entity */ entity, uint actionHash){
return Function.Call<bool>((Hash)0xEAF4CD9EA3E7E922uL, entity, actionHash);
}

/// <summary>
/// In the script &quot;player_scene_t_bbfight.c4&quot;:<br />&quot;if (ENTITY::FIND_ANIM_EVENT_PHASE(&amp;l_16E, &amp;l_19F[v_4/*16*/], v_9, &amp;v_A, &amp;v_B))&quot;<br />-- &amp;l_16E (p0) is requested as an anim dictionary earlier in the script.<br />-- &amp;l_19F[v_4/*16*/] (p1) is used in other natives in the script as the &quot;animation&quot; param.<br />-- v_9 (p2) is instantiated as &quot;victim_fall&quot;; I&apos;m guessing that&apos;s another anim<br />--v_A and v_B (p3 &amp; p4) are both set as -1.0, but v_A is used immediately after this native for: <br />&quot;if (v_A &lt; ENTITY::GET_ENTITY_ANIM_CURRENT_TIME(...))&quot;<br />Both v_A and v_B are seemingly used to contain both Vector3&apos;s and floats, so I can&apos;t say what either really is other than that they are both output parameters. p4 looks more like a *Vector3 though<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x07F1BE2BCCAA27A7<br />
/// </para>
/// </remarks>
public static bool FindAnimEventPhase(string animDictionary, string animName, string p2, int /* bug: structure */ p3, int /* bug: structure */ p4){
return Function.Call<bool>((Hash)0x07F1BE2BCCAA27A7uL, animDictionary, animName, p2, p3, p4);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4487C259F0F70977<br />
/// </para>
/// </remarks>
public static void SetEntityAnimCurrentTime(int /* Entity */ entity, string animDictionary, string animName, float time){
Function.Call((Hash)0x4487C259F0F70977uL, entity, animDictionary, animName, time);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x28D1A16553C51776<br />
/// </para>
/// </remarks>
public static void SetEntityAnimSpeed(int /* Entity */ entity, string animDictionary, string animName, float speedMultiplier){
Function.Call((Hash)0x28D1A16553C51776uL, entity, animDictionary, animName, speedMultiplier);
}

/// <summary>
/// Makes the specified entity (ped, vehicle or object) persistent. Persistent entities will not automatically be removed by the engine.<br /><br />p1 has no effect when either its on or off <br />maybe a quick disassembly will tell us what it does<br /><br />p2 has no effect when either its on or off <br />maybe a quick disassembly will tell us what it does
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAD738C3085FE7E11<br />
/// </para>
/// </remarks>
public static void SetEntityAsMissionEntity(int /* Entity */ entity, bool p1, bool p2){
Function.Call((Hash)0xAD738C3085FE7E11uL, entity, p1, p2);
}

/// <summary>
/// Marks the specified entity (ped, vehicle or object) as no longer needed if its population type is set to the mission type.<br />If the entity is ped, it will also clear their tasks immediately just like when CLEAR_PED_TASKS_IMMEDIATELY is called.<br />Entities marked as no longer needed, will be deleted as the engine sees fit.<br />Use this if you just want to just let the game delete the ped:<br />void MarkPedAsAmbientPed(Ped ped) {<br />  auto addr = getScriptHandleBaseAddress(ped);<br /><br />  if (!addr) {<br />    return;<br />  }<br /><br />  //the game uses only lower 4 bits as entity population type <br />  BYTE origValue = *(BYTE *)(addr + 0xDA);<br />  *(BYTE *)(addr + 0xDA) = ((origValue &amp; 0xF0) | ePopulationType::POPTYPE_RANDOM_AMBIENT);<br />}
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB736A491E64A32CF<br />
/// </para>
/// </remarks>
public static void SetEntityAsNoLongerNeeded(ref int /* Entity* */ entity){
var nativeAssistPointerVar0 = entity;
unsafe {
Function.Call((Hash)0xB736A491E64A32CFuL, &nativeAssistPointerVar0);
}
entity = nativeAssistPointerVar0;
}

/// <summary>
/// This is an alias of SET_ENTITY_AS_NO_LONGER_NEEDED.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2595DD4236549CE3<br />
/// </para>
/// </remarks>
public static void SetPedAsNoLongerNeeded(ref int /* Ped* */ ped){
var nativeAssistPointerVar0 = ped;
unsafe {
Function.Call((Hash)0x2595DD4236549CE3uL, &nativeAssistPointerVar0);
}
ped = nativeAssistPointerVar0;
}

/// <summary>
/// This is an alias of SET_ENTITY_AS_NO_LONGER_NEEDED.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x629BFA74418D6239<br />
/// </para>
/// </remarks>
public static void SetVehicleAsNoLongerNeeded(ref int /* Vehicle* */ vehicle){
var nativeAssistPointerVar0 = vehicle;
unsafe {
Function.Call((Hash)0x629BFA74418D6239uL, &nativeAssistPointerVar0);
}
vehicle = nativeAssistPointerVar0;
}

/// <summary>
/// This is an alias of SET_ENTITY_AS_NO_LONGER_NEEDED.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3AE22DEB5BA5A3E6<br />
/// </para>
/// </remarks>
public static void SetObjectAsNoLongerNeeded(ref int /* Object* */ @object){
var nativeAssistPointerVar0 = @object;
unsafe {
Function.Call((Hash)0x3AE22DEB5BA5A3E6uL, &nativeAssistPointerVar0);
}
@object = nativeAssistPointerVar0;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1760FFA8AB074D66<br />
/// </para>
/// </remarks>
public static void SetEntityCanBeDamaged(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x1760FFA8AB074D66uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0xD95CC5D2AB15A09F<br />
/// </para>
/// </remarks>
public static bool GetEntityCanBeDamaged(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xD95CC5D2AB15A09FuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE22D8FDE858B8119<br />
/// </para>
/// </remarks>
public static void SetEntityCanBeDamagedByRelationshipGroup(int /* Entity */ entity, bool bCanBeDamaged, int relGroup){
Function.Call((Hash)0xE22D8FDE858B8119uL, entity, bCanBeDamaged, relGroup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x352E2B5CF420BF3B<br />
/// </para>
/// </remarks>
public static void SetEntityCanOnlyBeDamagedByScriptParticipants(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x352E2B5CF420BF3BuL, entity, toggle);
}

/// <summary>
/// Sets whether the entity can be targeted without being in line-of-sight.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD3997889736FD899<br />
/// </para>
/// </remarks>
public static void SetEntityCanBeTargetedWithoutLos(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xD3997889736FD899uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1A9205C1B9EE827F<br />
/// </para>
/// </remarks>
public static void SetEntityCollision(int /* Entity */ entity, bool toggle, bool keepPhysics){
Function.Call((Hash)0x1A9205C1B9EE827FuL, entity, toggle, keepPhysics);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCCF1E97BEFDAE480<br />
/// </para>
/// </remarks>
public static bool GetEntityCollisionDisabled(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xCCF1E97BEFDAE480uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9EBC85ED0FFFE51C<br />
/// </para>
/// </remarks>
public static void SetEntityCompletelyDisableCollision(int /* Entity */ entity, bool toggle, bool keepPhysics){
Function.Call((Hash)0x9EBC85ED0FFFE51CuL, entity, toggle, keepPhysics);
}

/// <summary>
/// p7 is always 1 in the scripts. Set to 1, an area around the destination coords for the moved entity is cleared from other entities. <br /> <br />Often ends with 1, 0, 0, 1); in the scripts. It works. <br /><br />Axis - Invert Axis Flags
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x06843DA7060A026B<br />
/// </para>
/// </remarks>
public static void SetEntityCoords(int /* Entity */ entity, float xPos, float yPos, float zPos, bool xAxis, bool yAxis, bool zAxis, bool clearArea){
Function.Call((Hash)0x06843DA7060A026BuL, entity, xPos, yPos, zPos, xAxis, yAxis, zAxis, clearArea);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x621873ECE1178967<br />
/// </para>
/// </remarks>
public static void SetEntityCoordsWithoutPlantsReset(int /* Entity */ entity, float xPos, float yPos, float zPos, bool alive, bool deadFlag, bool ragdollFlag, bool clearArea){
Function.Call((Hash)0x621873ECE1178967uL, entity, xPos, yPos, zPos, alive, deadFlag, ragdollFlag, clearArea);
}

/// <summary>
/// Axis - Invert Axis Flags
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x239A3351AC1DA385<br />
/// </para>
/// </remarks>
public static void SetEntityCoordsNoOffset(int /* Entity */ entity, float xPos, float yPos, float zPos, bool xAxis, bool yAxis, bool zAxis){
Function.Call((Hash)0x239A3351AC1DA385uL, entity, xPos, yPos, zPos, xAxis, yAxis, zAxis);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1718DE8E3F2823CA<br />
/// </para>
/// </remarks>
public static void SetEntityDynamic(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x1718DE8E3F2823CAuL, entity, toggle);
}

/// <summary>
/// Set the heading of an entity in degrees also known as &quot;Yaw&quot;.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8E2530AA8ADA980E<br />
/// </para>
/// </remarks>
public static void SetEntityHeading(int /* Entity */ entity, float heading){
Function.Call((Hash)0x8E2530AA8ADA980EuL, entity, heading);
}

/// <summary>
/// health &gt;= 0<br />male ped ~= 100 - 200<br />female ped ~= 0 - 100
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6B76DC1F3AE6E6A3<br />
/// </para>
/// </remarks>
public static void SetEntityHealth(int /* Entity */ entity, int health, int p2){
Function.Call((Hash)0x6B76DC1F3AE6E6A3uL, entity, health, p2);
}

/// <summary>
/// Sets a ped or an object totally invincible. It doesn&apos;t take any kind of damage. Peds will not ragdoll on explosions and the tazer animation won&apos;t apply either.<br /><br />If you use this for a ped and you want Ragdoll to stay enabled, then do:<br />*(DWORD *)(pedAddress + 0x188) |= (1 &lt;&lt; 9);<br /><br />Use this if you want to get the invincibility status:<br />  bool IsPedInvincible(Ped ped)<br /> {<br />     auto addr = getScriptHandleBaseAddress(ped);    <br /><br />        if (addr)<br />     {<br />         DWORD flag = *(DWORD *)(addr + 0x188);<br />            return ((flag &amp; (1 &lt;&lt; 8)) != 0) || ((flag &amp; (1 &lt;&lt; 9)) != 0);<br />      }<br /><br />       return false;<br /> }
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3882114BDE571AD4<br />
/// </para>
/// </remarks>
public static void SetEntityInvincible(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x3882114BDE571AD4uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEA02E132F5C68722<br />
/// </para>
/// </remarks>
public static void SetEntityIsTargetPriority(int /* Entity */ entity, bool p1, float p2){
Function.Call((Hash)0xEA02E132F5C68722uL, entity, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7CFBA6A80BDF3874<br />
/// </para>
/// </remarks>
public static void SetEntityLights(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x7CFBA6A80BDF3874uL, entity, toggle);
}

/// <summary>
/// Loads collision grid for an entity spawned outside of a player&apos;s loaded area. This allows peds to execute tasks rather than sit dormant because of a lack of a physics grid.<br />Certainly not the main usage of this native but when set to true for a Vehicle, it will prevent the vehicle to explode if it is spawned far away from the player.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0DC7CABAB1E9B67E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetEntityLoadCollisionFlag(int /* Entity */ entity, bool toggle, int /* bug: Any */ p2){
Function.Call((Hash)0x0DC7CABAB1E9B67EuL, entity, toggle, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE9676F61BC0B3321<br />
/// </para>
/// </remarks>
public static bool HasCollisionLoadedAroundEntity(int /* Entity */ entity){
return Function.Call<bool>((Hash)0xE9676F61BC0B3321uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0E46A3FCBDE2A1B1<br />
/// </para>
/// </remarks>
public static void SetEntityMaxSpeed(int /* Entity */ entity, float speed){
Function.Call((Hash)0x0E46A3FCBDE2A1B1uL, entity, speed);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x79F020FF9EDC0748<br />
/// </para>
/// </remarks>
public static void SetEntityOnlyDamagedByPlayer(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x79F020FF9EDC0748uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7022BD828FA0B082<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetEntityOnlyDamagedByRelationshipGroup(int /* Entity */ entity, bool p1, int /* bug: Any */ p2){
Function.Call((Hash)0x7022BD828FA0B082uL, entity, p1, p2);
}

/// <summary>
/// Enable / disable each type of damage.<br /><br />waterProof is damage related to water not drowning<br />--------------<br />p7 is to to &apos;1&apos; in am_mp_property_ext/int: ENTITY::SET_ENTITY_PROOFS(uParam0-&gt;f_19, true, true, true, true, true, true, 1, true);<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFAEE099C6F890BB8<br />
/// </para>
/// </remarks>
public static void SetEntityProofs(int /* Entity */ entity, bool bulletProof, bool fireProof, bool explosionProof, bool collisionProof, bool meleeProof, bool steamProof, bool p7, bool waterProof){
Function.Call((Hash)0xFAEE099C6F890BB8uL, entity, bulletProof, fireProof, explosionProof, collisionProof, meleeProof, steamProof, p7, waterProof);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0xBE8CD9BE829BBEBF<br />
/// </para>
/// </remarks>
public static bool GetEntityProofs(int /* Entity */ entity, ref bool bulletProof, ref bool fireProof, ref bool explosionProof, ref bool collisionProof, ref bool meleeProof, ref bool steamProof, ref bool p7, ref bool drownProof){
var nativeAssistPointerVar0 = bulletProof;
var nativeAssistPointerVar1 = fireProof;
var nativeAssistPointerVar2 = explosionProof;
var nativeAssistPointerVar3 = collisionProof;
var nativeAssistPointerVar4 = meleeProof;
var nativeAssistPointerVar5 = steamProof;
var nativeAssistPointerVar6 = p7;
var nativeAssistPointerVar7 = drownProof;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xBE8CD9BE829BBEBFuL, entity, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3, &nativeAssistPointerVar4, &nativeAssistPointerVar5, &nativeAssistPointerVar6, &nativeAssistPointerVar7);
}
bulletProof = nativeAssistPointerVar0;
fireProof = nativeAssistPointerVar1;
explosionProof = nativeAssistPointerVar2;
collisionProof = nativeAssistPointerVar3;
meleeProof = nativeAssistPointerVar4;
steamProof = nativeAssistPointerVar5;
p7 = nativeAssistPointerVar6;
drownProof = nativeAssistPointerVar7;
return retVal;
}

/// <summary>
/// w is the correct parameter name!
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x77B21BE7AC540F07<br />
/// </para>
/// </remarks>
public static void SetEntityQuaternion(int /* Entity */ entity, float x, float y, float z, float w){
Function.Call((Hash)0x77B21BE7AC540F07uL, entity, x, y, z, w);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A50A1EEDAD01E65<br />
/// </para>
/// </remarks>
public static void SetEntityRecordsCollisions(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x0A50A1EEDAD01E65uL, entity, toggle);
}

/// <summary>
/// rotationOrder refers to the order yaw pitch roll is applied<br />value ranges from 0 to 5. What you use for rotationOrder when setting must be the same as rotationOrder when getting the rotation. <br />Unsure what value corresponds to what rotation order, more testing will be needed for that.<br />For the most part R* uses 1 or 2 as the order.<br />p5 is usually set as true<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8524A8B0171D5E07<br />
/// </para>
/// </remarks>
public static void SetEntityRotation(int /* Entity */ entity, float pitch, float roll, float yaw, int rotationOrder, bool p5){
Function.Call((Hash)0x8524A8B0171D5E07uL, entity, pitch, roll, yaw, rotationOrder, p5);
}

/// <summary>
/// p2 is always 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEA1C610A04DB6BBB<br />
/// </para>
/// </remarks>
public static void SetEntityVisible(int /* Entity */ entity, bool toggle, bool p2){
Function.Call((Hash)0xEA1C610A04DB6BBBuL, entity, toggle, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0xC34BC448DA29F5E9<br />
/// </para>
/// </remarks>
public static void SetEntityWaterReflectionFlag(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xC34BC448DA29F5E9uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0xE66377CDDADA4810<br />
/// </para>
/// </remarks>
public static void SetEntityMirrorReflectionFlag(int /* Entity */ entity, bool p1){
Function.Call((Hash)0xE66377CDDADA4810uL, entity, p1);
}

/// <summary>
/// Note that the third parameter(denoted as z) is &quot;up and down&quot; with positive numbers encouraging upwards movement.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1C99BB7B6E96D16F<br />
/// </para>
/// </remarks>
public static void SetEntityVelocity(int /* Entity */ entity, float x, float y, float z){
Function.Call((Hash)0x1C99BB7B6E96D16FuL, entity, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x8339643499D1222E<br />
/// </para>
/// </remarks>
public static void SetEntityAngularVelocity(int /* Entity */ entity, float x, float y, float z){
Function.Call((Hash)0x8339643499D1222EuL, entity, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4A4722448F18EEF5<br />
/// </para>
/// </remarks>
public static void SetEntityHasGravity(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x4A4722448F18EEF5uL, entity, toggle);
}

/// <summary>
/// LOD distance can be 0 to 0xFFFF (higher values will result in 0xFFFF) as it is actually stored as a 16-bit value (aka uint16_t).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5927F96A78577363<br />
/// </para>
/// </remarks>
public static void SetEntityLodDist(int /* Entity */ entity, int value){
Function.Call((Hash)0x5927F96A78577363uL, entity, value);
}

/// <summary>
/// Returns the LOD distance of an entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4159C2762B5791D6<br />
/// </para>
/// </remarks>
public static int GetEntityLodDist(int /* Entity */ entity){
return Function.Call<int>((Hash)0x4159C2762B5791D6uL, entity);
}

/// <summary>
/// skin - everything alpha except skin<br />Set entity alpha level. Ranging from 0 to 255 but chnages occur after every 20 percent (after every 51).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x44A0870B7E92D7C0<br />
/// </para>
/// </remarks>
public static void SetEntityAlpha(int /* Entity */ entity, int alphaLevel, bool skin){
Function.Call((Hash)0x44A0870B7E92D7C0uL, entity, alphaLevel, skin);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5A47B3B5E63E94C6<br />
/// </para>
/// </remarks>
public static int GetEntityAlpha(int /* Entity */ entity){
return Function.Call<int>((Hash)0x5A47B3B5E63E94C6uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9B1E824FFBB7027A<br />
/// </para>
/// </remarks>
public static void ResetEntityAlpha(int /* Entity */ entity){
Function.Call((Hash)0x9B1E824FFBB7027AuL, entity);
}

/// <summary>
/// Similar to RESET_ENTITY_ALPHA
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 944<br />
/// <b>Native ID:</b> 0x490861B88F4FD846<br />
/// </para>
/// </remarks>
public static void ResetPickupEntityGlow(int /* Entity */ entity){
Function.Call((Hash)0x490861B88F4FD846uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0xCEA7C8E1B48FF68C<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetPickupCollidesWithProjectiles(int /* bug: Any */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0xCEA7C8E1B48FF68CuL, p0, p1);
}

/// <summary>
/// Only called once in the scripts.<br /><br />Related to weapon objects.<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5C3B791D580E0BC2<br />
/// </para>
/// </remarks>
public static void SetEntitySortBias(int /* Entity */ entity, float p1){
Function.Call((Hash)0x5C3B791D580E0BC2uL, entity, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xACAD101E1FB66689<br />
/// </para>
/// </remarks>
public static void SetEntityAlwaysPrerender(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xACAD101E1FB66689uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x730F5F8D3F0F2050<br />
/// </para>
/// </remarks>
public static void SetEntityRenderScorched(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x730F5F8D3F0F2050uL, entity, toggle);
}

/// <summary>
/// Example here: www.gtaforums.com/topic/830463-help-with-turning-lights-green-and-causing-peds-to-crash-into-each-other/#entry1068211340<br /><br />0 = green<br />1 = red<br />2 = yellow<br />3 = reset changes<br />changing lights may not change the behavior of vehicles
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x57C5DB656185EAC4<br />
/// </para>
/// </remarks>
public static void SetEntityTrafficlightOverride(int /* Entity */ entity, int state){
Function.Call((Hash)0x57C5DB656185EAC4uL, entity, state);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78E8E3A640178255<br />
/// </para>
/// </remarks>
public static void SetEntityIsInVehicle(int /* Entity */ entity){
Function.Call((Hash)0x78E8E3A640178255uL, entity);
}

/// <summary>
/// Only works with objects!
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x92C47782FDA8B2A3<br />
/// </para>
/// </remarks>
public static void CreateModelSwap(float x, float y, float z, float radius, uint originalModel, uint newModel, bool p6){
Function.Call((Hash)0x92C47782FDA8B2A3uL, x, y, z, radius, originalModel, newModel, p6);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x033C0F9A64E229AE<br />
/// </para>
/// </remarks>
public static void RemoveModelSwap(float x, float y, float z, float radius, uint originalModel, uint newModel, bool p6){
Function.Call((Hash)0x033C0F9A64E229AEuL, x, y, z, radius, originalModel, newModel, p6);
}

/// <summary>
/// p5 = sets as true in scripts<br />Same as the comment for CREATE_MODEL_SWAP unless for some reason p5 affects it this only works with objects as well.<br /><br />Network players do not see changes done with this.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8A97BCA30A0CE478<br />
/// </para>
/// </remarks>
public static void CreateModelHide(float x, float y, float z, float radius, uint modelHash, bool p5){
Function.Call((Hash)0x8A97BCA30A0CE478uL, x, y, z, radius, modelHash, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3A52AE588830BF7F<br />
/// </para>
/// </remarks>
public static void CreateModelHideExcludingScriptObjects(float x, float y, float z, float radius, uint modelHash, bool p5){
Function.Call((Hash)0x3A52AE588830BF7FuL, x, y, z, radius, modelHash, p5);
}

/// <summary>
/// This native makes entities visible that are hidden by the native CREATE_MODEL_HIDE.<br />p5 should be false, true does nothing
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9E3006FB3CBD765<br />
/// </para>
/// </remarks>
public static void RemoveModelHide(float x, float y, float z, float radius, uint modelHash, bool p5){
Function.Call((Hash)0xD9E3006FB3CBD765uL, x, y, z, radius, modelHash, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x150E808B375A385A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void CreateForcedObject(float x, float y, float z, int /* bug: Any */ p3, uint modelHash, bool p5){
Function.Call((Hash)0x150E808B375A385AuL, x, y, z, p3, modelHash, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x61B6775E83C0DB6F<br />
/// </para>
/// </remarks>
public static void RemoveForcedObject(float x, float y, float z, float p3, uint modelHash){
Function.Call((Hash)0x61B6775E83C0DB6FuL, x, y, z, p3, modelHash);
}

/// <summary>
/// Calling this function disables collision between two entities.<br />The importance of the order for entity1 and entity2 is unclear.<br />The third parameter, `thisFrame`, decides whether the collision is to be disabled until it is turned back on, or if it&apos;s just this frame.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA53ED5520C07654A<br />
/// </para>
/// </remarks>
public static void SetEntityNoCollisionEntity(int /* Entity */ entity1, int /* Entity */ entity2, bool thisFrameOnly){
Function.Call((Hash)0xA53ED5520C07654AuL, entity1, entity2, thisFrameOnly);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x295D82A8559F9150<br />
/// </para>
/// </remarks>
public static void SetEntityMotionBlur(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0x295D82A8559F9150uL, entity, toggle);
}

/// <summary>
/// p1 always false.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE12ABE5E3A389A6C<br />
/// </para>
/// </remarks>
public static void SetCanAutoVaultOnEntity(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xE12ABE5E3A389A6CuL, entity, toggle);
}

/// <summary>
/// p1 always false.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA80AE305E0A3044F<br />
/// </para>
/// </remarks>
public static void SetCanClimbOnEntity(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xA80AE305E0A3044FuL, entity, toggle);
}

/// <summary>
/// Only called within 1 script for x360. &apos;fm_mission_controller&apos; and it used on an object. <br /><br />Ran after these 2 natives,<br />set_object_targettable(uParam0, 0);<br />set_entity_invincible(uParam0, 1);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDC6F8601FAF2E893<br />
/// </para>
/// </remarks>
public static void SetWaitForCollisionsBeforeProbe(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xDC6F8601FAF2E893uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2C2E3DC128F44309<br />
/// </para>
/// </remarks>
public static void SetEntityNoweapondecals(int /* Entity */ entity, bool p1){
Function.Call((Hash)0x2C2E3DC128F44309uL, entity, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1A092BB0C3808B96<br />
/// </para>
/// </remarks>
public static void SetEntityUseMaxDistanceForWaterReflection(int /* Entity */ entity, bool p1){
Function.Call((Hash)0x1A092BB0C3808B96uL, entity, p1);
}

/// <summary>
/// Gets the world rotation of the specified bone of the specified entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xCE6294A232D03786<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityBoneRotation(int /* Entity */ entity, int boneIndex){
return Function.Call<Vector3>((Hash)0xCE6294A232D03786uL, entity, boneIndex);
}

/// <summary>
/// Gets the world position of the specified bone of the specified entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 877<br />
/// <b>Native ID:</b> 0x46F8696933A63C9B<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityBonePostion(int /* Entity */ entity, int boneIndex){
return Function.Call<Vector3>((Hash)0x46F8696933A63C9BuL, entity, boneIndex);
}

/// <summary>
/// Gets the local rotation of the specified bone of the specified entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0xBD8D32550E5CEBFE<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityBoneObjectRotation(int /* Entity */ entity, int boneIndex){
return Function.Call<Vector3>((Hash)0xBD8D32550E5CEBFEuL, entity, boneIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 2802<br />
/// <b>Native ID:</b> 0xCF1247CC86961FD6<br />
/// </para>
/// </remarks>
public static Vector3 GetEntityBoneObjectPostion(int /* Entity */ entity, int boneIndex){
return Function.Call<Vector3>((Hash)0xCF1247CC86961FD6uL, entity, boneIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xB328DCC3A3AA401B<br />
/// </para>
/// </remarks>
public static int GetEntityBoneCount(int /* Entity */ entity){
return Function.Call<int>((Hash)0xB328DCC3A3AA401BuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 877<br />
/// <b>Native ID:</b> 0x6CE177D014502E8A<br />
/// </para>
/// </remarks>
public static void EnableEntityBulletCollision(int /* Entity */ entity){
Function.Call((Hash)0x6CE177D014502E8AuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 944<br />
/// <b>Native ID:</b> 0xB17BC6453F6CF5AC<br />
/// </para>
/// </remarks>
public static void SetEntityCanOnlyBeDamagedByEntity(int /* Entity */ entity1, int /* Entity */ entity2){
Function.Call((Hash)0xB17BC6453F6CF5ACuL, entity1, entity2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0x68B562E124CC0AEF<br />
/// </para>
/// </remarks>
public static void SetEntityCantCauseCollisionDamagedEntity(int /* Entity */ entity1, int /* Entity */ entity2){
Function.Call((Hash)0x68B562E124CC0AEFuL, entity1, entity2);
}

/// <summary>
/// p1 is always set to 1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1011<br />
/// <b>Native ID:</b> 0x36F32DE87082343E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetAllowMigrateToSpectator(int /* Entity */ entity, int /* bug: Any */ p1){
Function.Call((Hash)0x36F32DE87082343EuL, entity, p1);
}

/// <summary>
/// Gets the handle of an entity with a specific model hash attached to another entity, such as an object attached to a ped.<br /> This native does not appear to have anything to do with pickups as in scripts it is used with objects.<br /><br />Example from fm_mission_controller_2020.c:<br /><br />iVar8 = ENTITY::GET_ENTITY_OF_TYPE_ATTACHED_TO_ENTITY(bParam0-&gt;f_9, joaat(&quot;p_cs_clipboard&quot;));
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0x1F922734E259BD26<br />
/// </para>
/// </remarks>
public static int GetEntityOfTypeAttachedToEntity(int /* Entity */ entity, uint modelHash){
return Function.Call<int>((Hash)0x1F922734E259BD26uL, entity, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Entity<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0xD7B80E7C3BEFC396<br />
/// </para>
/// </remarks>
public static void SetPickUpByCargobobDisabled(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xD7B80E7C3BEFC396uL, entity, toggle);
}

}}
